Name:          xl2tpd
Version:       1.3.18
Release:       1mamba
Summary:       An implementation of the Layer 2 Tunneling Protocol as defined by RFC 2661
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/xelerance/xl2tpd
Source:        https://github.com/xelerance/xl2tpd.git/v%{version}/xl2tpd-%{version}.tar.bz2
Source1:       xl2tpd.service
Source2:       xl2tpd.tmpfiles
Source3:       xl2tpd.conf.client-example
Source4:       xl2tpd.conf.server-example
Source5:       options.l2tpd
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpcap-devel
## AUTOBUILDREQ-END
Requires:      ppp

%description
xl2tpd is an implementation of the Layer 2 Tunneling Protocol as defined by RFC 2661. L2TP allows you to tunnel PPP over UDP. Some ISPs use L2TP to tunnel user sessions from dial-in servers (modem banks, ADSL DSLAMs) to back-end PPP servers. Another important application is Virtual Private Networks where the IPsec protocol is used to secure the L2TP connection (L2TP/IPsec is defined by RFC 3193. xl2tpd can be used in combination with IPsec implementations such as Openswan. Example configuration files for such a setup are included in the examples directory.

%prep
%setup -q

%build
%make PREFIX=%{_prefix} SBINDIR=%{_bindir}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PREFIX=%{_prefix} SBINDIR=%{buildroot}%{_bindir}

install -D -m0644 %{SOURCE1} %{buildroot}%{_unitdir}/xl2tpd.service
install -D -m0644 %{SOURCE2} %{buildroot}%{_tmpfilesdir}/xl2tpd.conf
install -D -m0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/xl2tpd/xl2tpd.conf.client-example
install -D -m0644 %{SOURCE4} %{buildroot}%{_sysconfdir}/xl2tpd/xl2tpd.conf.server-example
install -D -m0644 %{SOURCE5} %{buildroot}%{_sysconfdir}/ppp/options.l2tpd

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/ppp/options.l2tpd
%{_sysconfdir}/xl2tpd/xl2tpd.conf.client-example
%{_sysconfdir}/xl2tpd/xl2tpd.conf.server-example
%{_bindir}/pfc
%{_bindir}/xl2tpd
%{_bindir}/xl2tpd-control
%{_unitdir}/xl2tpd.service
%{_tmpfilesdir}/xl2tpd.conf
%{_mandir}/man1/pfc.1*
%{_mandir}/man5/l2tp-secrets.5*
%{_mandir}/man5/xl2tpd.conf.5*
%{_mandir}/man8/xl2tpd-control.8*
%{_mandir}/man8/xl2tpd.8*
%doc CREDITS LICENSE

%changelog
* Thu Jan 23 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.18-1mamba
- package created using the webbuild interface
